/*!
 * @file network_stream.h
 *  implementation of a network pipe
 */
/*
#ifndef _NETWORK_STREAM
#define _NETWORK_STREAM
#define 

#include "data_stream.h"
#include "network_protocol.h"
#include "network_socket.h"
#include "connection_monitor.h"
#include "synchronizeable.h"
#include "list.h"
*/

class NetworkStream 
{

public:
  NetworkStream();
  ~NetworkStream();
  void writePacket();
  void readPacket();

private:
  NetworkProtocol& networkProtocol;
  NetworkSocket& 	networkSockets;
  tList<Synchronizeable> synchronizeables;
  friend NetworkMonitor& networkMonitor;


#endif /* _NETWORK_STREAM */

